Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint.impl
Class CatchClauseSignatureImpl

    java.lang.Object
      org.codehaus.aspectwerkz.joinpoint.impl.CatchClauseSignatureImpl

All Implemented Interfaces:
  Serializable, CatchClauseSignature, Signature

    public class CatchClauseSignatureImpl

extends Object
implements CatchClauseSignature

Implementation for the catch clause signature.

Author:
  Jonas Bonr
See Also:
  Serialized Form

Constructor Summary
`CatchClauseSignatureImpl(Class exceptionClass)` Creates a new catch clause signature.

Method Summary
`Class` | `getDeclaringType()` Returns the exception class.
`int` | `getModifiers()` Returns the modifiers for the signature.
`String` | `getName()` Returns the name
`Class` | `getParameterType()` Deprecated.
`Signature` | `newInstance()` Creates a deep copy of the signature.
`String` | `toString()` Returns a string representation of the signature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatchClauseSignatureImpl

    public CatchClauseSignatureImpl(Class exceptionClass)

  Creates a new catch clause signature.

  Parameters:
    `exceptionClass` -

Method Detail

### getDeclaringType

    public Class getDeclaringType()

  Returns the exception class.

  Specified by:
    `getDeclaringType` in interface `Signature`
  Returns:
    the declaring class

### getModifiers

    public int getModifiers()

  Returns the modifiers for the signature.

  Could be used like this:

       boolean isPublic = java.lang.reflect.Modifier.isPublic(signature.getModifiers());

  Specified by:
    `getModifiers` in interface `Signature`
  Returns:
    the mofifiers

### getName

    public String getName()

  Returns the name

  Specified by:
    `getName` in interface `Signature`
  Returns:

### getParameterType

    public Class getParameterType()

  Deprecated.

  Returns the exception type.

  Specified by:
    `getParameterType` in interface `CatchClauseSignature`
  Returns:
    the parameter type

### toString

    public String toString()

  Returns a string representation of the signature.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation

### newInstance

    public Signature newInstance()

  Creates a deep copy of the signature.

  Returns:
    a deep copy of the signature

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.